Dža ko lil

Ltx 2.3

Integriruj

Modelosko id ltx-2.3/reframe
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ltx-2.3/reframe?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Fajlo sar o misalo: $2.00 2,000 API krediti · ≈ ₽213.13 tire fajlo si merime angl-o phiripen Phir les kate

Lel API klidin
Lightricks · Video

Tiro prvo rezultato si kate

Ker tele jekh mangipen thaj phir les tire API klidinosa. E rezultatur si kopirime amare arakhipneste, vično vaj 7 dives bilačhes.

Ker jekh mangipen

O kontrolura kerde si katar e schemaske. O kodo thaj e cena menjinen sar tu len menjines.

•trubul video_url
Čhiv jekh fajl, vaj

Fonte-video publicno URL-esa vaj base64 data URI-esa, maksimum 60 sekunda. Reframing kerel nevo crop te jakharel e ciljuno aspect ratio, thaj kerel jekhetano kontento te pherel e neve sikavde regiona.

aspect_ratio standardno 16:9

Kamime aspect ratio vašo reframime video.

resolution standardno 1080p

Rezultato rezolucijaki klasa, savi odel e finalno dimenzije jekhetane aspect ratio-esa.

Lučhe enable_safety_checker
POST /run/ltx-2.3/reframe?wait=20 hesab → $2.00
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ltx-2.3/reframe?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Phandel kava mangipen

Tiro kluč ačhel kadale browsereste: bičhalel pes numa ko Doitong API thaj šuvav pes (localStorage) numa te tiknes Remember. Le jekh API ključ

Palal Ltx 2.3

Lel jekh video (`video_url`) thaj paruvel les ko aver proporcija e materialoske palecentriripnasa thaj andrǎleske keripnasa vaš e neve rigǎ bi čhinipnasko. `aspect_ratio` šaj te avel 1:1, 4:5, 5:4, 9:16 vaj 16:9. `resolution` si 720p vaj 1080p, xamime e proporcijasa te thovel o rezultatesko baripe.

Parametra

Bičhalav vaj e kanonikano nav vaj e native nav, na duj. Kanonikane nava

NavTip standardnoMuklo Vakeripe
video_urltrubul video
Tipurl · video
Fonte-video publicno URL-esa vaj base64 data URI-esa, maksimum 60 sekunda. Reframing kerel nevo crop te jakharel e ciljuno aspect ratio, thaj kerel jekhetano kontento te pherel e neve sikavde regiona.
aspect_ratioopcionalno
Tipenum
standardno16:9
1:14:55:49:1616:9
Kamime aspect ratio vašo reframime video.
resolutionopcionalno
Tipenum
standardno1080p
720p1080p
Rezultato rezolucijaki klasa, savi odel e finalno dimenzije jekhetane aspect ratio-esa.
enable_safety_checkeropcionalno
Tipboolean
standardnotrue
Screening šaj te avel relaksirime te postavil pes false, numa kana o manglo si autorizuime.
trubul Kanonikano nav, vi akceptime

Fajloske parametra lel jekh publikano https:// URL, jekh data: URI dži 10 MB, vaj e file_url uploadoski. Fajlura

Rezultato

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ltx-2.3/reframe",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2000,
    "usd": "2.00",
    "charged": 2000,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Tire fajlura, tiro alosaripenSako outputs[].url si kopija amare arakhipneste: vično (čargeime per GB-mase) vaj 7 dives bilačhes, tiro kontoskere regulaciatar vaj ?storage=.
Sa jekh forma sako modeloθartype, url, content_type, width, height thaj duration, varesave imajinake, video thaj audio-ke. output si o modelosko korkoro resultosko objekto.
Outputoske fieldura
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}Video fajlo savo si e reframingosko rezultato.

Bute modeli: Video ko Video

AI agentenge: kadija rig sar Markdown si kate https://doitong.com/rom/developers/models/ltx-2.3/reframe.md. Sa e modelura thaj e gidura: https://doitong.com/developers/llms.txt